<?xml version="1.0"?>
<!--
    Header: $Header: /cvsroot/tomcatfaq/tomcat-faq/xdocs/style.xsl,v 1.7 2003/06/20 00:28:02 funkman Exp $
-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  version="1.0">

  <xsl:param    name="rightNow"    select="'.'"/>

  <!-- Output method -->
  <xsl:output method="xhtml"
            encoding="iso-8859-1"
              indent="no"/>

  <xsl:template match="faq">
    <html>
    <head>
    	<TITLE>Tomcat FAQ: <xsl:value-of select="@topic"/></TITLE>
		<STYLE type="text/css">
			body, table, tr, td, a, div, span {
				vertical-align : top;
			}
			ul, li {
			margin-top: 0px;
			margin-bottom: 0px;
			vertical-align : middle;
			}
		</STYLE>
    </head>
    <body>
      <table style='border : 1px ridge Black; width : 800px;'>
        <tr>
    	  <td colspan='2'>
    	    <i>
    	    	The
    	    	<a href="http://jakarta.apache.org/tomcat/faq/">FAQ</a>
    	    	has moved to the
    	    	<a href="http://jakarta.apache.org/tomcat/">Tomcat</a>
    	    	site. The new location of the
    	    	Tomcat FAQ is now
    	    	<a href="http://jakarta.apache.org/tomcat/faq/">
    	    		http://jakarta.apache.org/tomcat/faq/
    	    	</a>
    	    </i>
			<hr />
    	    <div style='font-size : larger'>Tomcat FAQ: <xsl:value-of select="@topic"/></div>
          </td>
        </tr>
        <tr>
    	  <td>
			<table style='border : 1px ridge Black; width : 100%; font-size : smaller;'><tr><td>
				<b>Topics</b><br />
					<xsl:apply-templates select="project/leftnav/topics"/></td></tr></table>
          </td>
    	  <td  width='640'>
            <xsl:apply-templates select="entry | paragraph"/>
          </td>
        </tr>
        <tr>
    	  <td colspan='2' style='border : 1px ridge Black; font-size : smaller;'>

            <br />
            The original location of this FAQ is located at:
            <a href='http://tomcatfaq.sourceforge.net/'>http://tomcatfaq.sourceforge.net/</a>
            and is hosted by
            <a href="http://sourceforge.net"><img src="http://sourceforge.net/sflogo.php?group_id=74252&amp;type=1" width="88" height="31" border="0" alt="SourceForge.net Logo" /></a>
            <br />

            <br /><br />

            <I>Last edit date:
            	<xsl:apply-templates select="lastmodified"/>.
            </I>
          </td>
        </tr>
      </table>
    </body>
    </html>
  </xsl:template>

  <xsl:template match="entry">
    <div style='font-weight : bold;'>
      Q: <xsl:apply-templates select="question"/>
    </div>
    <span style='font-size : smaller;'>
      <b>A:</b> <xsl:apply-templates select="answer"/>
    </span>
    <hr />
  </xsl:template>

<!--
	A question or answer.
-->
  <xsl:template match="question | answer">
    <xsl:apply-templates />
  </xsl:template>

<!--
	This kind of duplicates url but helpful to keep logically different.
-->
  <xsl:template match="topic">
    <xsl:variable name="url">
		<xsl:value-of select="@url"/>
    </xsl:variable>
    <li><a href='{$url}'><xsl:value-of select="."/></a></li>
  </xsl:template>

<!--
	A ... paragraph
-->
  <xsl:template match="paragraph">
      <xsl:apply-templates/>
    <br /><br />
  </xsl:template>

<!--
	Create a list. Its helpful to have 'item's in here
-->
  <xsl:template match="list">
    <ul>
      <xsl:apply-templates select="item"/>
    </ul>
  </xsl:template>

<!--
	Plop out a list item
-->
  <xsl:template match="item">
    <li><xsl:apply-templates/></li>
  </xsl:template>

<!--
	Give me a URL (well ... A HREF)
-->
  <xsl:template match="url">
    <xsl:variable name="location"><xsl:value-of select="@location"/></xsl:variable>
    <a href='{$location}'><xsl:value-of select="."/></a>
  </xsl:template>

<!--
	Helper - Create a non-brekaing space.
-->
  <xsl:template match="sp"><xsl:text disable-output-escaping="yes"><![CDATA[&nbsp;]]></xsl:text></xsl:template>

<!--
	Convert text into the code tag
-->
  <xsl:template match="code"><code><xsl:value-of select="."/></code></xsl:template>

<!--
	Let unaltered HTML pass through the stuff in this tag must be
	wrapped in a CDATA to look right.
-->
  <xsl:template match="unchanged"><xsl:value-of disable-output-escaping="yes" select="."/></xsl:template>



</xsl:stylesheet>
